<?php
session_start();
if ($_POST[submit]) {
 if ($_POST[otvet] == $_SESSION[summ]) {
  $_SESSION[message] = '<font color="blue">Ответ правильный!</font>';
  // Тут обработка поступившего сообщения из поля text
 }
 else {
  $_SESSION[message] = '<font color="red">Дан неверный ответ!</font>';
 }
exit();
}
?>

